Bug 25752 - VieCell IsEnabled property not disabling element in TableView
Summary: VieCell IsEnabled property not disabling element in TableView
Status: RESOLVED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 1.3.0
Hardware: PC Windows
: Normal normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-01-06 14:52 UTC by Jon Douglas [MSFT]
Modified: 2015-06-15 15:01 UTC (History)
9 users (show)

Tags: ac ios functional viewcell isenabled
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Jon Douglas [MSFT] 2015-01-06 14:52:36 UTC
*Description
It seems that the IsEnabled property on the TextCell element doesn't actually disable the control and can still be interacted with on both iOS and Android.

*Reproduction
https://www.dropbox.com/s/k81hzig8dd6u154/TextCellTest.rar?dl=0

*Xamarin Forms Version
1.3.0.6292

*Version Information

Microsoft Visual Studio Ultimate 2013
Version 12.0.31101.00 Update 4
Microsoft .NET Framework
Version 4.5.51641

Installed Version: Ultimate

Architecture and Modeling Tools   06181-004-0451031-02320
Microsoft Architecture and Modeling Tools
    
UML® and Unified Modeling Language™ are trademarks or registered trademarks of the Object Management Group, Inc. in the United States and other countries.

LightSwitch for Visual Studio 2013   06181-004-0451031-02320
Microsoft LightSwitch for Visual Studio 2013

Team Explorer for Visual Studio 2013   06181-004-0451031-02320
Microsoft Team Explorer for Visual Studio 2013

Visual Basic 2013   06181-004-0451031-02320
Microsoft Visual Basic 2013

Visual C# 2013   06181-004-0451031-02320
Microsoft Visual C# 2013

Visual C++ 2013   06181-004-0451031-02320
Microsoft Visual C++ 2013

Visual F# 2013   06181-004-0451031-02320
Microsoft Visual F# 2013

Visual Studio 2013 Code Analysis Spell Checker   06181-004-0451031-02320
Microsoft® Visual Studio® 2013 Code Analysis Spell Checker

Portions of International CorrectSpell™ spelling correction system © 1993 by Lernout & Hauspie Speech Products N.V. All rights reserved.

The American Heritage® Dictionary of the English Language, Third Edition Copyright © 1992 Houghton Mifflin Company. Electronic version licensed from Lernout & Hauspie Speech Products N.V. All rights reserved.

Windows Phone SDK 8.0 - ENU   06181-004-0451031-02320
Windows Phone SDK 8.0 - ENU

ApiPortVS   1.0
API portability analyzer.

ASP.NET and Web Tools   12.4.51016.0
Microsoft Web Developer Tools contains the following components:
Support for creating and opening ASP.NET web projects
Browser Link: A communication channel between Visual Studio and browsers
Editor extensions for HTML, CSS, and JavaScript
Page Inspector: Inspection tool for ASP.NET web projects
Scaffolding: A framework for building and running code generators
Server Explorer extensions for Microsoft Azure Websites
Web publishing: Extensions for publishing ASP.NET web projects to hosting providers, on-premises servers, or Microsoft Azure

ASP.NET Web Frameworks and Tools 2012.2   4.1.21001.0
For additional information, visit http://go.microsoft.com/fwlink/?LinkID=309563

ASP.NET Web Frameworks and Tools 2013   5.2.21010.0
For additional information, visit http://www.asp.net/

AWS Toolkit for Visual Studio 2013   1.6.4.1
AWS Toolkit for Visual Studio 2013.
Copyright 2011-2013 Amazon.com, Inc. or its affiliates. All Rights Reserved.

This software includes third party software subject to the following copyrights:
- WPF Toolkit for charting and grid controls, Microsoft Public License (Ms-PL) 
  [http://wpf.codeplex.com/license]
- Logging from log4net, Apache License 
  [http://logging.apache.org/log4net/license.html]
- Putty for PPK to PEM conversion, MIT license 
  [http://www.chiark.greenend.org.uk/~sgtatham/putty/licence.html]
- NGit for AWS Elastic Beanstalk incremental push
  [https://github.com/mono/ngit/blob/master/NGit.license.txt]
- NSch dependency for NGit
  [https://github.com/mono/ngit/blob/master/NSch.license.txt]
- Sharpen dependency for NGit
  [https://github.com/mono/ngit/blob/master/Sharpen/AssemblyInfo.cs]
- ICSharpCode.SharpZipLib dependency for NGit
  [http://www.icsharpcode.net/opensource/sharpziplib/]
- Mono.Posix.dll and Mono.Security.dll dependencies for NGit
  [http://mono-project.com/FAQ:_Licensing#Licensing]
- MPFProj for Visual Studio Project Framework
  [http://mpfproj10.codeplex.com/license]
- JSONLint for JSON validation
  [https://github.com/zaach/jsonlint/blob/master/README.md]
- Noesis.Javascript.dll for JSON validation
  [http://javascriptdotnet.codeplex.com/license]

Color Theme Designer   1.0
Designer for creating new color themes

Common Azure Tools   1.3
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

Entity Framework Power Tools   1.0
Adds useful design-time DbContext features to the Visual Studio Solution Explorer context menu. 

When right-clicking on a file containing a derived DbContext class, the following context menu functions are supported:

1) View Entity Data Model - Displays the underlying Code First model in the Entity Framework designer.
2) View Entity Data Model XML - Displays the EDMX XML representing the underlying Code First model.
3) Generate Views - Generates pre-compiled views used by the EF runtime to improve start-up performance. Adds the generated views file to the containing project.

File Nesting   1.0
Automatically nest files based on file name and enables developers to nest and unnest any file manually

JetBrains ReSharper 8.2   Full Edition build 8.2.0.2160 on 2014-03-21T01:53:08
JetBrains ReSharper 8.2 package for Microsoft Visual Studio. For more information about ReSharper, visit http://www.jetbrains.com/resharper/. Copyright © 2003–2015 JetBrains, Inc.

Microsoft Advertising SDK for Windows Phone   
Microsoft Advertising SDK for Windows Phone
Build 

Microsoft Azure Mobile Services Tools   1.3
Microsoft Azure Mobile Services Tools

NuGet Package Manager   2.8.50926.663
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

PowerShell Tools   1.3
Provides file classification services using PowerShell

PreEmptive Analytics Visualizer   1.2
Microsoft Visual Studio extension to visualize aggregated summaries from the PreEmptive Analytics product.

Release Management for Visual Studio Package   1.0
Release Management for Visual Studio

SAPReferenceManager   1.0
Manages References to Shared Projects

SQL Server Data Tools   12.0.41012.0
Microsoft SQL Server Data Tools

Windows Azure Tools   2.3
Windows Azure Tools for Microsoft Visual Studio 2013 - v2.3.20320.1602

Windows Phone 8.1 SDK Integration   1.0
This package integrates the tools for the Windows Phone 8.1 SDK into the menus and controls of Visual Studio.

Xamarin   3.9.142.0 (e7bacad)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   4.20.0.34 (49a04b966feb40dfdba49d57ba16249b66d606a6)
Visual Studio plugin to enable development for Xamarin.Android.

Xamarin.iOS   8.6.0.0 (22574c9788a6d607f8d119e4d645f5ce5a346553)
Visual Studio extension to enable development for Xamarin.iOS.
Comment 1 Atin 2015-01-07 06:09:48 UTC
I have checked this issue and able to reproduce this. To reproduce this issue I have followed the steps mentioned below:

1. Open attached test case in VS.
2. Set iOS as startup project .
3. Open "TestTable.xaml" file.
4. Observed that TextCell IsEnabled property is set to false.
5. Build and deploy it on simulator, observed that TextCell IsEnabled property not disabling element in TableView.

Screencast(iOS): http://www.screencast.com/t/KnalrYop0
Screencast(Android): http://www.screencast.com/t/Rm1w9MI4
VS trace Logs: http://www.screencast.com/t/djCybj77l

Environment Info:

Microsoft Visual Studio Professional 2013
Version 12.0.30723.00 Update 3
Microsoft .NET Framework
Version 4.5.50938

Installed Version: Professional

LightSwitch for Visual Studio 2013   06177-004-0446016-02381
Microsoft LightSwitch for Visual Studio 2013

Team Explorer for Visual Studio 2013   06177-004-0446016-02381
Microsoft Team Explorer for Visual Studio 2013

Visual Basic 2013   06177-004-0446016-02381
Microsoft Visual Basic 2013

Visual C# 2013   06177-004-0446016-02381
Microsoft Visual C# 2013

Visual C++ 2013   06177-004-0446016-02381
Microsoft Visual C++ 2013

Visual F# 2013   06177-004-0446016-02381
Microsoft Visual F# 2013

Visual Studio 2013 Code Analysis Spell Checker   06177-004-0446016-02381
Microsoft® Visual Studio® 2013 Code Analysis Spell Checker

Portions of International CorrectSpell™ spelling correction system © 1993 by Lernout & Hauspie Speech Products N.V. All rights reserved.

The American Heritage® Dictionary of the English Language, Third Edition Copyright © 1992 Houghton Mifflin Company. Electronic version licensed from Lernout & Hauspie Speech Products N.V. All rights reserved.

Windows Phone SDK 8.0 - ENU   06177-004-0446016-02381
Windows Phone SDK 8.0 - ENU

Application Insights Tools for Visual Studio Package   1.0
Application Insights Tools for Visual Studio

ASP.NET and Web Tools   12.3.50717.0
Microsoft Web Developer Tools contains the following components:
Support for creating and opening ASP.NET web projects
Browser Link: A communication channel between Visual Studio and browsers
Editor extensions for HTML, CSS, and JavaScript
Page Inspector: Inspection tool for ASP.NET web projects
Scaffolding: A framework for building and running code generators
Server Explorer extensions for Microsoft Azure Websites
Web publishing: Extensions for publishing ASP.NET web projects to hosting providers, on-premises servers, or Microsoft Azure

ASP.NET Web Frameworks and Tools 2012.2   4.1.21001.0
For additional information, visit http://go.microsoft.com/fwlink/?LinkID=309563

ASP.NET Web Frameworks and Tools 2013   5.2.20703.0
For additional information, visit http://www.asp.net/

Common Azure Tools   1.2
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

Microsoft Advertising SDK for Windows Phone   
Microsoft Advertising SDK for Windows Phone
Build 

Microsoft Azure Mobile Services Tools   1.2
Microsoft Azure Mobile Services Tools

NuGet Package Manager   2.8.50926.663
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

Office Developer Tools for Visual Studio 2013 ENU   12.0.30626
Microsoft Office Developer Tools for Visual Studio 2013 ENU

PowerShell Tools   1.2
Provides file classification services using PowerShell

PreEmptive Analytics Visualizer   1.2
Microsoft Visual Studio extension to visualize aggregated summaries from the PreEmptive Analytics product.

SQL Server Data Tools   12.0.30919.1
Microsoft SQL Server Data Tools

Windows Phone 8.1 SDK Integration   1.0
This package integrates the tools for the Windows Phone 8.1 SDK into the menus and controls of Visual Studio.

Workflow Manager Tools 1.0   1.0
This package contains the necessary Visual Studio integration components for Workflow Manager.

Xamarin   3.8.150.0 (10cfd178d55287f09c85f5a1e604dfe20889a40f)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   4.20.0.28 (ba9bbbdd44cfdc4bf485e8885bd2ad24fba525f7)
Visual Studio plugin to enable development for Xamarin.Android.

Xamarin.iOS   8.4.0.0 (840a925103a0bf4a856507f13d5eaee3c1579c2f)
Visual Studio extension to enable development for Xamarin.iOS.
Comment 2 Jason Smith [MSFT] 2015-01-25 05:48:19 UTC
Should be fixed in 1.3.2
Comment 3 Parmendra Kumar 2015-01-30 13:01:59 UTC
I have checked this issue with Xamarin.Forms 1.3.2.6309-pre2 and I am still getting same behavior as mentioned in comment #1.

Screencast for the same: http://www.screencast.com/t/w7yrxgcsu

Please let we know if you need some more information.

Environment info: 

Microsoft Visual Studio Professional 2013
Version 12.0.31101.00 Update 4
Microsoft .NET Framework
Version 4.5.51641

Installed Version: Professional

Xamarin   3.9.291.0 
Xamarin.Android   4.20.0.34 
Xamarin.iOS   8.6.1.0
Comment 4 Jason Smith [MSFT] 2015-02-02 01:56:42 UTC
Parmendra, your video does not show you attempt to interact with any of the cells? There is no visual change really on android, the Cells just no longer take input.
Comment 5 Parmendra Kumar 2015-02-02 05:20:52 UTC
I have checked this issue and now its working fine at my end.

Xamarin.Forms.1.3.2.6313-pre3

Environment info:

Microsoft Visual Studio Professional 2013
Version 12.0.31101.00 Update 4
Microsoft .NET Framework
Version 4.5.51641

Installed Version: Professional

Xamarin   3.9.291.0 
Xamarin.Android   4.20.0.34 
Xamarin.iOS   8.6.1.0
Comment 6 Cody Beyer (MSFT) 2015-02-04 16:38:47 UTC
The fix indeed fixed the issue for all base cells, (Image & Text), but the
issue persists with ViewCells.

The following test case demonstrates this behavior: https://www.dropbox.com/s/i6malinfov8p1bl/TextCellTest.zip?dl=0
Comment 7 Barton 2015-02-24 14:58:41 UTC
I'm guessing that my issue (on Android) is related to this one. I'll open a separate report if deemed otherwise.

In XAML:
<Button IsEnabled="{Binding SomeBindableBoolProperty}" Text="IsEnabled Test"/>

https://bugzilla.xamarin.com/show_bug.cgi?id=25752#c4 states that "There is no visual change really on android", but the few times that the button was actually disable there was plenty of visual difference. SomeBindableBoolProperty is guaranteed to transit from one state to the other from the UI as demonstrated by:

IsVisible="{Binding SomeBindableBoolProperty}" <-- Works --/>
IsEnabled="false" <-- Works --/>
Comment 8 Rui Marinho 2015-06-15 15:01:49 UTC
should be fixed in 1.4.3 final